aboutsummaryrefslogtreecommitdiff
path: root/app/crypt
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-03-13 05:30:31 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-03-13 05:30:31 +0000
commit937cf118360ce7615685ba314bef3bf94b8f99d4 (patch)
treece24ff623c3c5631a4577b111e618bb769740544 /app/crypt
parentaf61c62db3aa085ce85ec6c2b6fc389a85f76cb2 (diff)
downloadslackbuilds-937cf118360ce7615685ba314bef3bf94b8f99d4.tar.gz
slackbuilds-937cf118360ce7615685ba314bef3bf94b8f99d4.tar.bz2
Added: pgpdump
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1101 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/crypt')
-rwxr-xr-xapp/crypt/gnupg2/gnupg2.SlackBuild53
-rwxr-xr-xapp/crypt/pgpdump/pgpdump.SlackBuild141
2 files changed, 171 insertions, 23 deletions
diff --git a/app/crypt/gnupg2/gnupg2.SlackBuild b/app/crypt/gnupg2/gnupg2.SlackBuild
index 80f3cf30..8618b237 100755
--- a/app/crypt/gnupg2/gnupg2.SlackBuild
+++ b/app/crypt/gnupg2/gnupg2.SlackBuild
@@ -6,8 +6,6 @@
# Author: Luis ( luis at riseup d0t net )
#
-CWD=`pwd`
-
# Look for slackbuildrc
if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
@@ -16,17 +14,19 @@ elif [ -f /etc/slackbuildrc ]; then
fi
# Set variables
+CWD="$(pwd)"
SRC_NAME="gnupg"
PKG_NAME="gnupg2"
ARCH=${ARCH:=i486}
-VERSION=${VERSION:=2.0.2}
+SRC_VERSION=${VERSION:=2.0.2}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
-SRC_DIR=${SRC_DIR:=$CWD}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
-PKG_SRC="$SRC_DIR/$SRC_NAME-$VERSION"
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -54,12 +54,20 @@ ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
rm -rf "$PKG_SRC" 2> /dev/null
rm -rf "$PKG" 2> /dev/null
-# Create directories, if necessary
+# Create directories if necessary
mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
-# Import (minimized) signing key from
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION.tar.bz2"
+URL="ftp://ftp.gnupg.org/gcrypt/gnupg/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Import minimized signing key from
# http://www.gnupg.org/(en)/signature_key.html
gpg --import << EOKEY || exit $ERROR_GPG
-----BEGIN PGP PUBLIC KEY BLOCK-----
@@ -76,31 +84,30 @@ z05PRKjChvxrWzhe/Yn6BAmPF+6YxQo2W98rzq0THS5wKJjXmHw=
-----END PGP PUBLIC KEY BLOCK-----
EOKEY
-# Dowload source and its signature, if necessary
-SRC="$SRC_NAME-$VERSION.tar.bz2"
-URL="ftp://ftp.gnupg.org/gcrypt/gnupg/$SRC"
-
-if [ ! -s "$SRC_DIR/$SRC" ] || ! bzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
+# Dowload source's signature if necessary and check it
if [ ! -s "$SRC_DIR/$SRC.sig" ]; then
wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET
fi
-# Check source's signature
gpg --verify "$SRC_DIR/$SRC.sig" "$SRC_DIR/$SRC" || exit $ERROR_GPG
-# Untar, patch, configure, compile and install
-cd "$SRC_DIR"
+# Untar
+cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+
+# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix="$PREFIX" --libdir="$LIBDIR" \
--infodir="$PREFIX/info" --mandir="$PREFIX/man" \
--enable-static-rnd=linux --enable-noexecstack || exit $ERROR_CONF
+
+# Compile
make || exit $ERROR_MAKE
+
+# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
# Strip binaries
@@ -140,13 +147,13 @@ if [ -d "$PKG/$PREFIX/info" ]; then
)
fi
-# Install documentation and examples
+# Install documentation
DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README* THANKS TODO \
VERSION doc/DETAILS doc/HACKING doc/KEYSERVER doc/OpenPGP doc/TRANSLATE \
doc/examples doc/*.png"
-mkdir -p "$PKG/$PREFIX/doc/$PKG_NAME-$VERSION" || exit $ERROR_MKDIR
-cp -a $DOCS "$PKG/$PREFIX/doc/$PKG_NAME-$VERSION"
-( cd "$PKG/$PREFIX/doc/$PKG_NAME-$VERSION"
+mkdir -p "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION"
+( cd "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION"
ln -sf "$PREFIX/share/$PKG_NAME/FAQ" .
ln -sf "$PREFIX/share/$PKG_NAME/faq.html" .
)
@@ -177,9 +184,9 @@ EODESC
# Build the package
cd "$PKG"
-makepkg -l y -c n "$REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
-# Delete source and build directories, if requested
+# Delete source and build directories if requested
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
diff --git a/app/crypt/pgpdump/pgpdump.SlackBuild b/app/crypt/pgpdump/pgpdump.SlackBuild
new file mode 100755
index 00000000..ee981fa9
--- /dev/null
+++ b/app/crypt/pgpdump/pgpdump.SlackBuild
@@ -0,0 +1,141 @@
+#!/bin/bash
+#
+# SlackBuild for pgpdump
+# http://pgp.iijlab.net/pgpdump.html
+#
+# Author: Luis ( luis at riseup d0t net )
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="pgpdump"
+PKG_NAME="pgpdump"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=0.25}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1ls}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+
+# Set system optmization flags based on $ARCH
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
+URL="http://pgp.iijlab.net/pgpdump/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" ./configure || exit $ERROR_CONF
+
+# Compile
+make || exit $ERROR_MAKE
+
+# Install
+mkdir -p "$PKG/$PREFIX/bin" "$PKG/$PREFIX/man/man1" || exit $ERROR_MKDIR
+make install prefix="$PKG/$PREFIX" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages
+if [ -d "$PKG/$PREFIX/man" ]; then
+ ( cd "$PKG/$PREFIX/man"
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Install documentation
+DOCS="CHANGES COPYRIGHT README"
+mkdir -p "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+pgpdump: pgpdump
+pgpdump:
+pgpdump: pgpdump is a PGP packet visualizer which displays the packet format
+pgpdump: of OpenPGP (RFC 2440 + bis) and PGP version 2 (RFC 1991).
+pgpdump:
+pgpdump: For more information, http://pgp.iijlab.net/pgpdump/
+pgpdump:
+pgpdump:
+pgpdump:
+pgpdump:
+pgpdump:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi